Piloterr

PitchBook Search

GET
/v2/pitchbook/search

Search PitchBook for companies, news and profiles by keyword or search URL via browser rendering.

Credit cost: 2 credits per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Keyword or PitchBook search URL.

Examples:

airbus
https://pitchbook.com/search?q=airbus
https://pitchbook.com/profiles/search?q=openai
page?string

Page number for content search (/search?q=...).

return_page_source?boolean

When true, return rendered HTML instead of JSON.

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/pitchbook/search?query=string'
Example Response
{  "results": [    {      "url": "https://pitchbook.com/profiles/company/11062-99",      "type": "profile",      "image": "https://image.pitchbook.com/example_200x200",      "title": "Airbus Group",      "category": "Profile Preview",      "company_id": "11062-99",      "description": "Airbus is a global aerospace and defense firm."    }  ],  "pagination": {    "next": "https://pitchbook.com/search?q=airbus&p=2",    "page": 1,    "per_page": 10,    "total_pages": 4,    "total_results": 33  }}